function nodes = findConstrainedNodes( m, dfs )
    a = zeros( size( m.nodes, 1 )*6, 1 );
    a( m.globalProps.fixedDFs ) = 1;
    a = reshape( a, 6, [] )';
    a = a(:,1:3) | a(:,4:6);
    a = a(:,1) + 2*a(:,2) + 4*a(:,3);
  % findConstrainedNodes_a = a'
    v = dfs.x + 2*dfs.y + 4*dfs.z;
  % findConstrainedNodes_v = v
    nodes = find( a==v );
end
